﻿// The sole owner of this code is Dundas Data Visualization Inc.
// Copyright (c) 2015 Dundas Data Visualization Inc.
// All rights reserved.

using Dundas.BI.Extensibility;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyCompany.Sample.CustomTenantsProviderSample
{
    /// <summary>
    /// This class contains the package information about the extension package.
    /// </summary>
    public class CustomTenantsProviderSamplePackageInfo : ExtensionPackageInfo
    {
	    #region Public Properties

	    /// <summary>
	    /// Gets the name of the extension package author.
	    /// </summary>
	    public override string Author
	    {
		    get { return "Dundas Data Visualization Sample Author"; }
	    }

	    /// <summary>
	    /// Gets the copyright text associated with the extension package.
	    /// </summary>
	    public override string Copyright
	    {
		    get { return "Dundas Data Visualization, Inc."; }
	    }

	    /// <summary>
	    /// Gets the localized display name of the extension package.
	    /// </summary>
	    public override string DisplayName
	    {
		    get { return "Custom Tenants Provider Sample Package"; }
	    }

	    /// <summary>
	    /// Gets the unique identifier of the extension package.
	    /// </summary>
	    public override Guid Id
	    {
		    get { return new Guid("0cdf181c-b489-400d-8901-c4cb76abc1d4"); }
	    }

	    /// <summary>
	    /// Gets the name of the extension package.
	    /// </summary>
	    public override string Name
	    {
		    get {
			    return "Custom Tenants Provider Sample Package"; }
	    }

	    /// <summary>
	    /// Gets the version of the extension package.
	    /// </summary>
	    public override Version Version
	    {
		    get { return new Version(0, 0, 1); }
	    }

	    #endregion Public Properties
    }
}